puppetboard

pdk
Install and configure PuppetBoard

Vadym Chepkov

vchepkov

2,874 downloads

319 latest version

4.6 quality score

Version information

  • 0.3.5 (latest)
  • 0.3.4
  • 0.3.3
  • 0.3.2
  • 0.3.1
  • 0.3.0
  • 0.2.0
  • 0.1.0
released May 16th 2021
This version is compatible with:
  • Puppet Enterprise 2021.1.x, 2021.0.x, 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x
  • Puppet >= 6.0.0 < 8.0.0
  • AlmaLinux
    ,
    CentOS
    ,
    OracleLinux
    ,
    RedHat

Start using this module

Documentation

vchepkov/puppetboard — version 0.3.5 May 16th 2021

vchepkov-puppetboard

Install puppetboard

Usage

  class { 'apache':
    server_tokens    => 'Prod',
    server_signature => 'Off',
    trace_enable     => 'Off',
    mpm_module       => 'event',
  }

  file { '/var/www/html/index.html':
    ensure  => file,
    owner   => root,
    group   => root,
    content => '<html><head><meta http-equiv="refresh" content="0;/puppetboard"></head></html>',
    require => Class['apache'],
  }

  puppetboard { 'local':
    default_environment => '*',
    config              => {
      'DAILY_REPORTS_CHART_DAYS' => '10',
      'ENABLE_CATALOG'           => 'True',
    }
  }

  puppetboard::apache { 'local':
    url_path => '/puppetboard',
  }

To use python 3.8 the following attributes can be used

apache::mod::wsgi::mod_path: 'modules/mod_wsgi_python3.so'
apache::mod::wsgi::package_name: 'python38-mod_wsgi'

puppetboard::python::bin: '/bin/python3.8'
puppetboard::python::python_module: 'python38'